#Tile info patching script for Keen 1
%ext ck1

%dump dump.txt

%patch $13054
       06 03 00 # black
       00 16 21 # blue
       16 32 00 # green
       08 16 00 # cyan
       21 16 00 # red
       10 00 21 # magenta
       42 32 10 # brown
       42 39 33 # bright gray
       21 18 15 # gray
       10 32 42 # bright blue
       24 48 00 # bright green
       21 48 63 # bright cyan
       42 21 63 # bright red
       21 10 42 # pink
       63 48 21 # yellow
       63 60 57 # white 

# Set the palette when we go into graphics mode
%patch $6E46  $E8 $D3 $D5 $90 $90

# Code to set graphics mode and set the palette
%patch $441C                  $B8 $0D $00 $CD
              $10 $B8 $12 $10 $B9 $08 $00 $BB
              $00 $00 $8C $DA $8E $C2 $BA $04
              $00 $CD $10 $BB $18 $00 $BA $1C
              $00 $CD $10 $C3

# Include this part if the "Change background tiles" patch is not used
# It gives us 36 spare bytes for the palette-setting code
%patch $4409      $B8 $14 $01 $26 $81 $3F $31
              $01 $73 $03 $B8 $8F $00 $26 $89
              $07 $E9 $5C $01 

# Change the controls to: Space, shoot; Tab, status.
%patch $1251  $48
%patch $7FA3  $48
%patch $3B23  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3C4E  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3DB9  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3DCC  $90 $90
%patch $3E6D  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3FFC  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $40AA  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00

#Robot's shots freeze keen instead of kill him 
%patch $48E9 $0F $00

#God Mode Cheat
%patch $14EF6 "I got the power!"
%patch $14F07 "No more power... "
%patch $120D $3E $50
%patch $1214 $4A $50
%patch $121B $4E $50

# Disable the item cheat
%patch $11F5  $2C $50
%patch $11FC  $2C $50
%patch $1203  $2C $50 

# Make garg push Keen around. :)
%patch $184E $05 $00 

# Make big ice blocks kill Keen.
%patch $20D6 $03 $00

# Killah yorpz.. (beware yorps now)
%patch $188B $03 $00

# make touching a butler bot the last thing you ever do
%patch $1782 $04 $00

# Change vorticon to require five shots instead of four to be defeated
%patch $180D $04 $00

#High Scores
%patch $1593F "Moe  "
%patch $1594E "Larry  "
%patch $1595D "Curly "

#Give Keen stuff at game start:
%patch $900E $01 $00 #Pogo

#What the pogo gives INSTEAD of a pogo:
%patch $44AB  $FF $06 $C6 $AA $90 $90 #Extra life

#ordering info
%patch $95A6  $EB $AD #Display ordering info screen then play game.

#Previews!
%patch $95B8  $EB $AD #Start game after previews

#Story
%patch $9582  $EB $AD #Story, then start game

#About Id
%patch $958C  $EB $AD #Id screen, then start game

#high scores
%patch $9599  $EB $AD #High scores then start game


#Loading Screen
%patch $14F1D "Loading Commander Keen in Mineepleo...  Please stand by"
%patch $14F55 "Joystick! XD     "
%patch $14F67 "No joystick! :' (    "
%patch $14FA3 "16 color pallete "
%patch $14FB5 "256 color pallete"

#Ordering Info
%patch $1632C "Keen doesn't end with   "
%patch $16346 "Mineepleo... It starts!  "
%patch $16364 "                   "
%patch $1637B "Games like:          "
%patch $16392 "* Louchem                "
%patch $163AD "* Neil Amphurr           "
%patch $163C8 "* Wakeen World           "
%patch $163E4 "These are all possibilities.         "
%patch $1640D "* More levels! :O                  "
%patch $16434 "* New art! :O                      "
%patch $1645B "* New characters!                "
%patch $16480 "...And more!               "
%patch $164B5 "Lorem ipsum    "
%patch $164C6 "Why are you     "
%patch $164DD "dolor sit amet,"
%patch $164EE "still reading  "
%patch $16505 "consectetur    "
%patch $16516 "my crappy info?"
%patch $1652D "adipiscing elit. "
%patch $16542 "Congradulations.  You have found the end"
%patch $16573 "of the world.  Enjoy your fall.   "

#modified tile properties! XD
%version 1.31
%patchfile 0x130F8 KeenMine.tli

#Changing pointitem scores:
#These use the default values.
%patch $15078 $64 $00 #100
%patch $1507A $C8 $00 #200
%patch $15076 $F4 $01 #500
%patch $1507C $E8 $03 #1000
%patch $1507E $20 $4E #5000

#Hint level 2
%patch $15080 "A dragon speaks to  "
%patch $15096 "you:                "
%patch $150AC "The best way to find"
%patch $150C2 "your missing ship   "
%patch $150D8 "parts is to search  "
%patch $150EE "all of Mineepleo's  "
%patch $15104 "buildiings.         "

#Hint level 6
%patch $1511A "The dragon speaks:  "
%patch $15130 "There is a hidden   "
%patch $15146 "building filled with"
%patch $1515C "treasure. Find it   "
%patch $15172 "prosper, oh strange "
%patch $15188 "creature from an    "
%patch $1519E "alien world.        "

%end


